%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate atomic-waker

Name:           rust-atomic-waker
Version:        1.1.2
Release:    1%{?dist}
Summary:        Synchronization primitive for task wakeup

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/atomic-waker
Source0:         %{crates_source}
Patch:          atomic-waker-fix-metadata.diff

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A synchronization primitive for task wakeup.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-THIRD-PARTY
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+portable-atomic-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+portable-atomic-devel %{_description}

This package contains library source intended for building other packages which
use the "portable-atomic" feature of the "%{crate}" crate.

%files       -n %{name}+portable-atomic-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-1
- initial build
